CREATE OR REPLACE VIEW adam.vw_fco_procesos_pi
AS
SELECT a.compania,
       a.anio,
       a.mes,
       a.sucursal,
       decode(nvl(suc.descripcion, 'x'), 'x', '(Consolidado)', rtrim(a.sucursal) || '-' || rtrim(suc.descripcion)) suc_des,
       procesar,
       NVL((select MAX(x.sit_periodo)
             from fco_integrada_cab x
            where x.compania = a.compania
              AND x.anio = a.anio
              AND x.mes = a.mes),
           1) sit_periodo, a.tipo_planilla
  FROM fco_procesos_pi a, vw_fco_sucursales suc
 WHERE suc.compania(+) = a.compania
   AND suc.sucursal(+) = a.sucursal
   AND ((a.sucursal = ' ') OR
        (a.sucursal IN
        (SELECT sucursal
            FROM vw_fco_sucursales_cia
           WHERE ((clase_nomina = '--') OR
                 (clase_nomina IN (SELECT clase_nomina
                                      FROM rel_usu_clase_nom
                                     WHERE usuario = USER))))));
